This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 248597 - Review Request: wildmidi - Midi Wavetable Synth Lib
Review Request: wildmidi - Midi Wavetable Synth Lib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 13:35 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-28 04:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ivazqueznet: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-07-17 13:35:42 EDT
Spec URL: http://people.atrpms.net/~hdegoede/wildmidi.spec
SRPM URL: http://people.atrpms.net/~hdegoede/wildmidi-0.2.2-1.fc8.src.rpm
Description:
WildMidi is a software midi player which has a core softsynth library that can
be use with other applications. Originally conceived in December 2001 as a
stand alone player, it wasn't until September 2003, and several revisions
later, that the library came into existance. The library is designed to process
a midi file and stream out the stereo audio data through a buffer which an
external program can then process further.

---

Reviewers: note, this is necessary to add midi playback support to gstreamer, since the plugin is currently under development it is in gstreamer-plugins-bad from the repo that must not be named. To test this, install wildmidi-devel and the gstreamer-plugins-bad.src.rpm and rebuild gstreamer-plugins-bad.
Comment 1 Bill Nottingham 2007-07-17 13:41:43 EDT
Out of curiousity, what makes this better or worse than timidity for the same
sorts of things (as SDL_mixer uses that).
Comment 2 Hans de Goede 2007-07-17 13:58:40 EDT
(In reply to comment #1)
> Out of curiousity, what makes this better or worse than timidity for the same
> sorts of things (as SDL_mixer uses that).

The gstreamer midi plugins (both libtimidity and wildmidi) author claims that
wildmidi has better quality. SDL_mixer's timidity code and libtimidity which is
derived from SDL_mixer's code have had some severe surgery to make them less CPU
hogs then the real timidity, sacrificing quality for speed. Try listening to the
same midi both through playmus and to the real timidity from timidity++, for the
clear difference. wildmidi tries to be fast without sacrificing quality.

With that said, the sad comment must be made that all 3 upstreams are in a
trouble some state. SDL_mixer (midi) and libtimidity development is dead, and
wildmidi development is comatose (sept 2006 post saying there back, after that
silence again).

My main reason for packaging this is to make both gstreamer midi plugins
available to users.
Comment 3 Ignacio Vazquez-Abrams 2007-07-25 08:48:59 EDT
wildmidi-0.2.2-1.fc7.i386.rpm:

wildmidi-0.2.2-1.fc7.src.rpm:

wildmidi-debuginfo-0.2.2-1.fc7.i386.rpm:

wildmidi-devel-0.2.2-1.fc7.i386.rpm:
W: wildmidi-devel no-documentation

I find it a bit... pathological... to require a whole other package just for a
config file. It might be better to just add a config file to the package.
Comment 4 Hans de Goede 2007-07-25 08:57:23 EDT
(In reply to comment #3)
> I find it a bit... pathological... to require a whole other package just for a
> config file. It might be better to just add a config file to the package.

Wildmidi is a wavetable synthesizer, wavetable synths work by using recordings
of the original instruments. timidity++ not only contains the config file, but
also the "patch" files (the recordings) this config file refers to, for this
reason it is for example also required by SDL_mixer and allegro.
Comment 5 Ignacio Vazquez-Abrams 2007-07-27 08:15:03 EDT
Works for me. Approved.
Comment 6 Hans de Goede 2007-07-27 11:53:24 EDT
Thanks for the review!


New Package CVS Request
=======================
Package Name:      wildmidi
Short Description: Midi Wavetable Synth Lib
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 F-7 devel 
InitialCC:         <empty>
Comment 7 Hans de Goede 2007-07-28 04:40:09 EDT
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.